/*
 * TEXT.C
 *
 * Remove VT100/ANSI escape sequences.
 *
 * Copyright (c) 2015 Malcolm J. Smith
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

#include "cvtvt.h"

#define DEFAULT_COLOR (7)

//
//  Text functions
//

BOOL
TextInitializeStream(
    HANDLE hOutput,
    HANDLE hControl
    )
{
    UNREFERENCED_PARAMETER(hControl);
    UNREFERENCED_PARAMETER(hOutput);

    return TRUE;
}

BOOL
TextEndStream(
    HANDLE hOutput,
    HANDLE hControl
    )
{
    UNREFERENCED_PARAMETER(hControl);
    UNREFERENCED_PARAMETER(hOutput);

    return TRUE;
}

BOOL
TextProcessAndOutputText(
    HANDLE hOutput,
    HANDLE hControl,
    LPSTR StringBuffer,
    ULONG BufferLength
    )
{
    ULONG  BytesTransferred;

    UNREFERENCED_PARAMETER(hControl);
    UNREFERENCED_PARAMETER(hOutput);

    WriteFile(hOutput,StringBuffer,BufferLength,&BytesTransferred,NULL);
    return TRUE;
}

BOOL
TextProcessAndOutputEscape(
    HANDLE hOutput,
    HANDLE hControl,
    LPSTR StringBuffer,
    ULONG BufferLength
    )
{
    UNREFERENCED_PARAMETER(hControl);
    UNREFERENCED_PARAMETER(hOutput);
    UNREFERENCED_PARAMETER(StringBuffer);
    UNREFERENCED_PARAMETER(BufferLength);

    return TRUE;
}

BOOL
TextSetFunctions(
    PCALLBACK_FUNCTIONS CallbackFunctions
    )
{
    CallbackFunctions->InitializeStream = TextInitializeStream;
    CallbackFunctions->EndStream = TextEndStream;
    CallbackFunctions->ProcessAndOutputText = TextProcessAndOutputText;
    CallbackFunctions->ProcessAndOutputEscape = TextProcessAndOutputEscape;
    return TRUE;
}

// vim:sw=4:ts=4:et:

